United Arab Emirates

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/united-arab-emirates/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/united-arab-emirates/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1756080000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/arkham/status/1960002768703270959",
    "holding_balance": 6333.0,
    "holding_net_change": 6333.0,
    "transaction_value_usd": 697392809.85,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/united-arab-emirates/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    6333.0
  ],
  [
    1779062400000,
    6333.0
  ],
  [
    1779148800000,
    6333.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/united-arab-emirates/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    490363303.38
  ],
  [
    1779062400000,
    487288061.91
  ],
  [
    1779148800000,
    486121143.33
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/united-arab-emirates/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/united-arab-emirates/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/united-arab-emirates/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/united-arab-emirates/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.03,
  "share_price_change_state": "down"
}